schema_version: runtime-work-registration-entrypoint-coverage-yaml-v1
source: runtime-core
generated_at: "2026-05-19T23:33:45.623Z"
status: advisory
entrypoint_count: 736
missing_high_confidence_count: 0
advisory_count: 62
classification_counts:
  pure_inspection: 407
  work_producing: 234
  authority_sensitive: 63
  emergency_only: 26
  test_fixture_only: 4
  unknown: 2
coverage_counts:
  "direct Runtime work wrapper": 20
  "role preflight": 6
  "socket request wrapper": 177
  "test runner work contract": 7
  "supervisor work contract": 1
  "explicit exemption": 465
  none: 62
status_counts:
  covered: 674
  missing: 0
  advisory: 62
missing_high_confidence_entries:
  []
advisory_entries:
  - scope: ai_command_facade
    entrypoint: approve-requirements.sh
    path: ai/commands/approve-requirements.sh
    classification: authority_sensitive
    confidence: low
    coverage: []
  - scope: ai_command_facade
    entrypoint: backend-architecture-report.sh
    path: ai/commands/backend-architecture-report.sh
    classification: pure_inspection
    confidence: low
    coverage: []
  - scope: ai_command_facade
    entrypoint: close-commit-approved.sh
    path: ai/commands/close-commit-approved.sh
    classification: authority_sensitive
    confidence: low
    coverage: []
  - scope: ai_command_facade
    entrypoint: complete-chunk.sh
    path: ai/commands/complete-chunk.sh
    classification: authority_sensitive
    confidence: low
    coverage: []
  - scope: ai_command_facade
    entrypoint: complete-requirements.sh
    path: ai/commands/complete-requirements.sh
    classification: authority_sensitive
    confidence: low
    coverage: []
  - scope: ai_command_facade
    entrypoint: frontend-architecture-report.sh
    path: ai/commands/frontend-architecture-report.sh
    classification: pure_inspection
    confidence: low
    coverage: []
  - scope: ai_command_facade
    entrypoint: workflow-approve-action.sh
    path: ai/commands/workflow-approve-action.sh
    classification: authority_sensitive
    confidence: low
    coverage: []
  - scope: ai_command_facade
    entrypoint: workflow-state.sh
    path: ai/commands/workflow-state.sh
    classification: pure_inspection
    confidence: low
    coverage: []
  - scope: ai_command_facade
    entrypoint: workflow-summary.sh
    path: ai/commands/workflow-summary.sh
    classification: pure_inspection
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: refreshRuntimeHealthReadModel
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runCodexHooksCapabilitySmoke
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runConsultantPacketExport
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runConsultantPlanRevisionRecommendation
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runConsultantResponseImport
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runExecutorQuestion
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runExecutorSummary
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runExecutorTelegram
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runExecutorTransition
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runFullValidationEvent
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runHarnessDry
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runRuntimeActivateGeneration
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runRuntimeCacheInvalidation
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runRuntimeHealthReadModelWarm
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runRuntimeLeaseAbort
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runRuntimeLeaseAcquire
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runRuntimeLeaseHeartbeat
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runRuntimeLeaseRelease
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runRuntimeMessageRecord
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runRuntimeMessageSyncCodexAssistantLogs
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runRuntimeMessageSyncCodexHistory
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runRuntimeOperationBegin
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runRuntimeOperationComplete
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runRuntimeOperationConsume
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runRuntimeOperationFail
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runRuntimeOperationSupersede
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runRuntimeProgressNote
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runRuntimeRetireGeneration
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runRuntimeStateJournalCompact
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runRuntimeStateJournalRecord
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runRuntimeWorkSessionComplete
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runRuntimeWorkSessionFail
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runRuntimeWorkSessionHeartbeat
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runRuntimeWorkStepComplete
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runRuntimeWorkStepFail
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runRuntimeWorkStepHeartbeat
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runtimeDaemonFreshness
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runtimeDaemonGeneration
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runtimeExecutorSnapshot
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runtimeHealth
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runtimeProfile
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runtimeSnapshot
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: runtimeSnapshotCached
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: validateChunkReady
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: validateChunkTransition
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: validateConsultantPacket
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: validateConsultantPacketValue
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: validateConsultantResponse
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: validateRegistries
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: validateRuntimeStateJournalContract
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_api_export
    entrypoint: validateSchemas
    path: ai/runtime/src/api/runtime.ts
    classification: work_producing
    confidence: low
    coverage: []
  - scope: runtime_cli_branch
    entrypoint: telegram-run-summary
    path: ai/runtime/src/cli.ts
    classification: unknown
    confidence: low
    coverage: []
  - scope: runtime_cli_branch
    entrypoint: validate-governance
    path: ai/runtime/src/cli.ts
    classification: unknown
    confidence: low
    coverage: []
report_path:
  markdown: ai/reports/report-000279-work-registration-entrypoint-coverage.md
  yaml: ai/reports/report-000279-work-registration-entrypoint-coverage.yaml
